WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Easy AdSense] Negative comments

[Plugin: Easy AdSense] Negative comments

  • I saw quite a few negative comments about the plugin here regarding its ad space sharing. Although I don’t usually reply to comments on forums unless I can spot at least a hint of constructive criticism or a suggestion to improve, I thought I would post my take on the negative comments:

    1. The fraction of ad space to be shared can be configured. After you set it to 0% (in V2.57+), if you see my ads showing up *ever*, please reply to this post or contact me.
    2. If you want to remove the ad sharing code completely, here is how. Find and change the Monte Carlo function to the following:

      function mc($mc, $ad, $size=false) {
          return $ad ;
       }

      This change will ensure that regardless of what you set as your share fraction (the value of $mc), your ad (the string in $ad) will be returned and displayed.

    3. Since the plugin in open source, you can always edit it to suit your purpose. It is not that difficult. Here is a resource that I used when I started my plugin development efforts late last year.
    4. Or you can locate an earlier version (V2.4) here. Ad space sharing was implemented starting V2.5, released on June the 12th. It was indicated in the readme.txt as change log during the release. And it was highlighted on this forum and in the FAQ about a week later.
    5. Please spend a few minutes to read the FAQ, and to look at the information on the plugin admin page. I spent a lot of time making these resources as informative, comprehensive and readable as I knew how.
    6. If you’d rather see my plugins removed from the listing here on WordPress.org, it can be arranged. Please let me know. Judging from the emails and support requests, my feeling is that there is a silent majority here who like my plugins, but I could be wrong.
      – Thanks,
      – Manoj
Viewing 15 replies - 1 through 15 (of 21 total)
  • Your plugins are very good, but with this latest edition of EasyAdsense, I get error messages that say something to the effect of “missing default.php” with ALL my themes on ALL my sites. How to fix?

    By the way, until this problem, I absolutely LOVED EasyAdsense. Keep up the good work.

    I think the problem was that it wasn’t very clear that your ads was showing by default, and I’m sure that was the reason that people got mad.

    It’s true that after I setup the plugin for 0% of ad share I didn’t see any of your ads so far.

    I’m not sure if you read what I wrote in the other thread but in my case I had 3 adsense ads on my page and sometimes your plugin was showing your ads, so in that case my blog was showing 4 adsense ads (not counting adsense links, just ads) which is against the rules of adsense, so I think you have to find a way to fix that because can put some people in trouble.

    Take care,
    Alex

    billspaced: Thanks! About the missing defaults problem, you may have done a partial installation. Try copying all the files in the package to your plugin directory.

    Alex, if you set “Option on Google Policy” (right above the ad space sharing option near the LHS bottom of the admin page) to show only three ads, it should limit the ads to three, regardless of what the publisher ID is.

    Hi manojtd!

    Try copying all the files in the package to your plugin directory.

    I’m using the “upgrade automatically” link in my WP admin panel. Are you suggesting that I should try another way (i.e., manually upload the extracted zip contents to my server — the “old-fashioned” way)?

    I have never upgraded automatically because my server doesn’t like it. Let me look into it and see if there is any file list descriptor I have to set anywhere. Will get back to you.

    Hi
    the upgrade to 2.61 is bad
    after upgrade done automatically the plug in disappeared
    reason
    The plugin does not have a valid header.
    I see you remark that update is only for the translation, but in automatically updates this is not showing …. the warning..
    Please provide previous version or fix this version for download

    Looks like i am not the only one.. please fix soon or provide the old plugin , which would mean that the previous has to be uninstalled from the server end before the re-install… any better way to do it.??
    thanks for the support

    You can find earlier versions here:
    http://wordpress.org/extend/plugins/easy-adsenser/download/
    V2.5 will give the latest one before 2.60, and should work for you.

    I’m afraid you may have to do it the “old-fashioned” way, as billspaced put it. I cannot quite figure out why the auto upgrade doesn’t work and I cannot test it because of my stupid server. Sorry.

    Does it work fine for other plugins?

    Does it work fine for other plugins?

    I don’t use a lot of plugins, but the auto install through the wordpress plugin site has worked for all of my other plugins, so something changed in your code, I think. I’m using 2.7 for this particular blog, but on a blog that’s at WP2.8, the plugin doesn’t work, either. I’ll try uploading the zip to my server and go from there, using the “old” plugin, since I don’t care about the translation feature (not to minimize your work, I just don’t need it and since that version of the plugin breaks my installation, why even bother?).

    Thanks for all your help! You really are attentive to your end-users. A refreshing change!!!

    Thanks! Sleep deprivation has its advantages!

    Pushing V2.62 in an attempt to solve this automatic update problem. But the problem looks like a WP issue that may get fixed in WP2.8.2 or so.

    hmm..will have to wait and see how that turns out

    Hi Thanks for plug-in.

    I installed new plug-in automatically, WP confirmed installation and when I chose to activate from the installer, I also had error: ‘The plugin does not have a valid header’. However, when I tried activation in the plug-in area, it worked fine!

    May I suggest having an OPT-IN button in the ‘support this plug-in’ box, to optionally insert your ads and also define the sharing percentage, rather than inserting them as a default. That would solve the sharing issue completely. Since so many people use this plug-in, it might make sense to create a ‘share my ad space’ field for others too.

    the guy is placing cookies in your site amazon ebay etc DONT use this plugin. take a closer look at your source code

    Hi,

    I love the plugin. The only thing is I changed the theme from slickpress to magazine-basic and google is only showing public ads.

    Could you help with this problem?

    You can see a sample on:

    http://www.acikkod.org/2009/09/19/cem-garipoglunu-en-cok-kim-aradi/

    Thanks..

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘[Plugin: Easy AdSense] Negative comments’ is closed to new replies.
Skip to toolbar